#
# spec file for package ghc-prettyprinter-convert-ansi-wl-pprint
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name prettyprinter-convert-ansi-wl-pprint
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.1
Release:        3.10
Summary:        Converter from »ansi-wl-pprint« documents to »prettyprinter«-based ones
License:        BSD-2-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/1.cabal#/%{pkg_name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-ansi-terminal-devel
BuildRequires:  ghc-ansi-wl-pprint-devel
BuildRequires:  ghc-prettyprinter-ansi-terminal-devel
BuildRequires:  ghc-prettyprinter-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
%if %{with tests}
BuildRequires:  ghc-doctest-devel
%endif

%description
This package defines a converter from the old
[ansi-wl-pprint](/package/ansi-wl-pprint) document type to the new
[prettyprinter](/package/prettyprinter) one. Its purpose is making packages
that only generate [ansi-wl-pprint](/package/ansi-wl-pprint) data available to
the [prettyprinter](/package/prettyprinter) ecosystem.

Note the difference to the
[prettyprinter-compat-ansi-wl-pprint](package/prettyprinter-compat-ansi-wl-pprint)
package, which does /not/ convert any data, and instead provides an API that
mimicks [ansi-wl-pprint](/package/ansi-wl-pprint), while secretly being
[prettyprinter](/package/prettyprinter)-based behind the curtains.
This package on the other hand does a proper conversion.

> ╭────────────────────╮ fromAnsiWlPprint ╭────────────────────╮ > │ Doc
├───────────────────────▷│ Doc AnsiStyle │ > │ (ansi-wl-pprint)
│◁───────────────────────┤ (prettyprinter) │ > ╰────────────────────╯
toAnsiWlPprint ╰────────────────────╯.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name}
library development files.

%prep
%setup -q -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE.md

%files devel -f %{name}-devel.files
%doc README.md

%changelog
* Tue Jul 10 2018 psimons@suse.com
- Add prettyprinter-convert-ansi-wl-pprint at version 1.1.
